/global-networks/{globalNetworkId}/transit-gateway-registrations
http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/transit-gateway-registrationsGets information about the transit gateway registrations in a specified global network.
Path Parameters
The ID of the global network.
Query Params
The Amazon Resource Names (ARNs) of one or more transit gateways. The maximum is 10.
The maximum number of results to return.
The token for the next page of results.
Pagination limit
Pagination token
Responses
{
"success": true,
"data": {
"id": "abc123",
"created_at": "2025-01-01T00:00:00Z"
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "Invalid request parameters"
}
}1curl --request GET \2 --url 'http://networkmanager.{region}.amazonaws.com/global-networks/{globalNetworkId}/transit-gateway-registrations' \3 --header 'accept: application/json' \4 --header 'content-type: application/json'1{2 "success": true,3 "data": {4 "id": "abc123",5 "created_at": "2025-01-01T00:00:00Z"6 }7}